import { type Context } from "aws-lambda";

import { handler as chilecultura } from "./portales/chilecultura/handler";
import { handler as df } from "./portales/df/handler";
import { handler as elciudadano } from "./portales/elciudadano/handler";
import { handler as eldesconcierto } from "./portales/eldesconcierto/handler";
import { handler as elmostrador } from "./portales/elmostrador/handler";
import { handler as emol } from "./portales/emol/handler";
import { handler as interferencia } from "./portales/interferencia/handler";
import { handler as latercera } from "./portales/latercera/handler";
import { handler as theclinic } from "./portales/theclinic/handler";

const context: Context = {
  callbackWaitsForEmptyEventLoop: false,
  functionName: "",
  functionVersion: "",
  invokedFunctionArn: "",
  memoryLimitInMB: "0",
  awsRequestId: "",
  logGroupName: "",
  logStreamName: "",
  done: () => {},
  fail: () => {},
  succeed: () => {},
  getRemainingTimeInMillis: () => 1
};

const portals = [chilecultura, df, elciudadano, eldesconcierto, elmostrador, emol, interferencia, latercera, theclinic];
const cooldown = 10000; // 10 seconds

async function main (): Promise<void> {
  for (const portal of portals) {
    await portal(null, context, () => {});
    await new Promise((resolve) => setTimeout(resolve, cooldown));
  }
}

main()
  .catch((err) => {
    console.error(err)
  })
  .finally(() => {
    process.exit(0);
  });
