import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "El Ciudadano";
const currentDate = new Date();
const options: Intl.DateTimeFormatOptions = { timeZone: "America/Santiago", year: "numeric" };
const currentYear = new Intl.DateTimeFormat("es-CL", options).format(currentDate);

export const handler: Handler = new Portal(
  name,
  config.MASTODON_KEY_ELCIUDADANO,
  {
    url: config.ELCIUDADANO + currentYear,
    articlesSelector: "article",
    titleSelector: "h3",
    linkSelector: "a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["ElCiudadano", "Noticias"]
  }
).getHandler();
