import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "El Desconcierto";

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_ELDESCONCIERTO,
  {
    url: config.ELDESCONCIERTO + "/lo-mas-reciente",
    articlesSelector: "article",
    titleSelector: "h2:first, h3:first",
    linkSelector: "a",
    linkPrefix: config.ELDESCONCIERTO,
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["ElDesconcierto", "Noticias"]
  }
).getHandler();
