import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "La Tercera";

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_LATERCERA,
  {
    url: config.LATERCERA,
    articlesSelector: "article.card",
    titleSelector: "div.headline",
    linkSelector: "div.headline a",
    linkPrefix: "https://www.latercera.cl",
    scraperMethod: ScraperMethods.AXIOS,
    cacheExpiration: 60 * 60 * 24 * 5, // 5 días
    hashtags: ["LaTercera", "LT", "Noticias"]
  }
).getHandler();
